/portal/:id/form

Adds form to specified portal

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

See model definition: https://developers.formstack.com/v2.0/docs/portals#section-portalform

Control deadline reminder

pass in earlyReminderHours or earlyReminderDays under deadline model. (depends on your chosen deadline type - see definition at https://developers.formstack.com/v2.0/docs/portals#section-deadlines)

For example, for PortalFormDeadlineWeekly , pass in the following object to set up weekly deadline every Friday at 8pm, with a reminder 2 hours before deadline:

"deadline": {
  "frequency": "weekly",
  "dueDay": "Fri",
  "dueTime": "20:00:00",
  "earlyReminderHours": 2
} 

To disable reminders, pass in earlyReminderHours and earlyReminderDays as null

On success - returns newly added portal form representation.

Path Params
int32
required
Body Params
string
required
int32
required
string
boolean

Set this to true to send email notifications to participants

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json